/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.jboss.jopr.jsfunit.as5.jbcache;

import org.jboss.jopr.jsfunit.AppConstants.DeployableTypes;
import org.jboss.jopr.jsfunit.ApplicationTestBaseAS5;

/**
 *
 * @author Ondrej Zizka
 */
public class JBossCacheTestBase extends ApplicationTestBaseAS5 {

	public final DeployableTypes APP_TYPE = DeployableTypes.JBCACHE;


	// Cache which is active by default.
	//protected static final String JBCACHE_HA_PARTITION = "jboss.cache:config=ha-partition,service=Cache";
	//protected static final String JBCACHE_MVCC_ENTITY = "jboss.cache:config=mvcc-entity,service=Cache";
	//protected static final String JBCACHE_PESSIMISTIC_SHARED = "jboss.cache:config=pessimistic-shared,service=Cache";
	//protected static final String JBCACHE_TIMESTAMPS = "jboss.cache:config=timestamps-cache,service=Cache";

	 // Post-CR3
             protected static final String JBCACHE_HA_PARTITION = "ha-partition";
             protected static final String JBCACHE_MVCC_ENTITY = "mvcc-entity";
             protected static final String JBCACHE_PESSIMISTIC_SHARED = "pessimistic-shared";
             protected static final String JBCACHE_TIMESTAMPS = "timestamps-cache";


	// Subnodes
	protected static final String SUBNODE_CACHE = "Cache";
	protected static final String SUBNODE_INTERCEPTOR = "Interceptor";
	protected static final String SUBNODE_DATA_CONTAINER = "Data Container";
	protected static final String SUBNODE_RPC_MANAGER = "RPC Manager";
	protected static final String SUBNODE_REGION_MANAGER = "RegionManager";
	protected static final String SUBNODE_TRANSACTION_TABLE = "Transaction Table";
	protected static final String SUBNODE_TX_INTERCEPTOR = "Tx Interceptor";


        /**
         * Some JBoss AS configurations don't have Cache included -
         * in that case, skip all JBoss Cache tests (don't fail).
         */

	protected boolean isJBossConfigWithoutCache(){
		boolean isJBossConfigWithoutCache = ! ejtt.getJBossConfig().equals("all");
		if( isJBossConfigWithoutCache )
			log.warn("JBoss instance is not running the 'all' configuration ('"+ejtt.getJBossConfig()+"' instead) - " +
							"thus, has no JBoss Cache. Set -Dcargo.jboss.configuration=all for maven.");
		return isJBossConfigWithoutCache;
	}


}// class
