package org.jboss.jopr.jsfunit.exceptions;

import org.jboss.jopr.jsfunit.EmbjoprTestCase;

/**
 * Signalizes that there was an action performed
 * that was out of context - e.g. clicking on a button
 * that was a part of a HTML page that's already gone.
 *
 *
 * @author ondra
 */
public class ActionNotAvailableException extends EmbJoprTestException {

	public ActionNotAvailableException() {
	}

	public ActionNotAvailableException(String message) {
		super(message);
	}

	public ActionNotAvailableException(String message, EmbjoprTestCase test) {
		super(message, test);
	}

	public ActionNotAvailableException(String message, Throwable cause) {
		super(message, cause);
	}

	public ActionNotAvailableException(Throwable cause) {
		super(cause);
	}

	

}
