package org.jboss.jopr.jsfunit.exceptions;

/**
 * Signalizes that there was an action performed
 * that was out of context - e.g. clicking on a button
 * that was a part of a HTML page that's already gone.
 *
 *
 * @author ondra
 */
public class ActionOutOfSyncException extends EmbJoprTestException {

	public ActionOutOfSyncException() {
	}

	public ActionOutOfSyncException(String message) {
		super(message);
	}

	public ActionOutOfSyncException(String message, Throwable cause) {
		super(message, cause);
	}

	public ActionOutOfSyncException(Throwable cause) {
		super(cause);
	}

	

}
