
package org.jboss.jopr.jsfunit.util;

import org.apache.commons.lang.StringUtils;

/**
 * Half-implementation of Condition - takes care of the description.
 */
public abstract class DescribedCondition implements Condition {
	private String description;
	public DescribedCondition( String description ){
		this.description = StringUtils.defaultIfEmpty(description, "(undescribed)");
	}
	public String getDescription() {			return this.description;		}
}// class