echo `pwd`
rm -rf embjopr/target
rm -rf embjopr/jsfunit/target


###  Build JBoss AS, checked out / updated by Hudson
cd jbosseap-5.x/build
  ./build.sh clean
  ./build.sh -Dbuild.unsecured=true
cd ../..

###  Set JBoss AS home dir
#  We don't want to stick with specific version, so get the home dynamically.
#  Get only the last dir. Hopefully versions will be named alphabetically.
export JBOSS_HOME=`pwd`/`ls -d -1 jbosseap-5.x/build/output/* | tail -n 1`
echo "JBOSS_HOME: $JBOSS_HOME"
#  Remove bundled AS console
#  Name of war changed on 04/24 - smcgowan
rm -rfv $JBOSS_HOME/server/default/deploy/admin-console.war

###  List currently used ports
lsof -i || /usr/sbin/lsof -i || true
###  List JVMs
jps -l


cd embjopr
  #  "Downdate" to Beta2
  svn up -r 571
  mvn install -Dmaven.test.skip=true --update-snapshots
  cd jsfunit
    #  But get latest testcases.
    svn up
    rm -rf target

    echo "Launching tests; binding JBoss AS to MYTESTIP_1 == $MYTESTIP_1"
    #echo -e "USER hudson hudson hudson hudson\nNICK HudsonBot\nJOIN #embjopr\nPRIVMSG #embjopr :`hostname`\nQUIT\n" |nc irc.devel.redhat.com 6667 || :
    echo `hostname`:4000 >> /tmp/embjopr-debug.log

    mvn -Pjboss5x install  --fail-never --update-snapshots -DJBOSS_HOME=$JBOSS_HOME -Dcargo.jboss.bind.address=$MYTESTIP_1
    sleep 5


